"use strict";

const xml2js = require('xml2js');
const parseString = require('util').promisify(xml2js.parseString);
const _ = require('lodash');

async function formatResponse(response, options) {
  _.unset(response, '_rawResponse');

  const keys = _.keys(response);
  const xmlValues = _.values(response);

  const jsonValues = [];

  for(let i = 0; i < xmlValues.length; i++) {
    const parsed = await parseString(xmlValues[i], options);
    jsonValues.push(parsed);
  };

  const mappedResponse = {};
  _.forEach(keys, (tempKey, index) => {
    mappedResponse[tempKey] = jsonValues[index];
  });

  return mappedResponse;
};

module.exports = formatResponse;
